schemaVersion: "1.0"
pattern:
  id: "3600b7d00b6427226e451f8d"
  className: "ch.nevis.admin.v4.plugin.nevisidm.patterns.NevisIDMGenericBatchJob"
  name: "IDM Prune Shadow Accounts Job"
  label: "Batch"
  notes: "Archive accounts after 15d of disabling and delete them after 100 days\n\
    runs daily at 00:30"
  properties:
    job: "<bean id=\"pruneShadowAccountsJob\"  class=\"org.springframework.scheduling.quartz.JobDetailFactoryBean\"\
      >\n    <property name=\"description\" value=\"Archive and delete obsolete shadow\
      \ accounts\"/>\n    <property name=\"jobClass\" value=\"ch.nevis.idm.batch.jobs.UpdateUserStateJob\"\
      />\n    <property name=\"durability\" value=\"true\"/>\n    <property name=\"\
      jobDataMap\">\n        <bean class=\"org.quartz.JobDataMap\">\n            <constructor-arg>\n\
      \                <map>\n                    <entry key=\"daysNoActivity\" value=\"\
      -1\"/>\n                    <entry key=\"considerUsersNeverLoggedIn\" value=\"\
      true\"/>\n                    <entry key=\"sendWarning\" value=\"false\"/>\n\
      \                    <entry key=\"daysGracePeriod\" value=\"1\"/>\n        \
      \            <entry key=\"daysStatusDisabled\" value=\"15\"/>\n            \
      \        <entry key=\"daysStatusArchived\" value=\"85\"/>\n                \
      \    <entry key=\"disableOutdatedUsers\" value=\"true\"/>\n                \
      \    <entry key=\"disableNotYetActiveUsers\" value=\"true\"/>\n            \
      \        <entry key=\"excludeTechnicalUsers\" value=\"true\"/>\n           \
      \         <entry key=\"restrictToClients\" value=\"9f30aa08-4c53-458c-b144-90c16dc5ed6e\"\
      />\n                </map>\n            </constructor-arg>\n        </bean>\n\
      \    </property>\n</bean>\n"
    trigger: "<bean id=\"pruneShadowAccountsJobTrigger\" class=\"org.springframework.scheduling.quartz.CronTriggerFactoryBean\"\
      >\n    <property name=\"description\" value=\"Archive and delete obsolete shadow\
      \ accounts\"/>\n    <property name=\"jobDetail\" ref=\"pruneShadowAccountsJob\"\
      />\n    <property name=\"cronExpression\" value=\"30 0 0 * * ?\"/>\n</bean>"
